# Class Thelia\Model\om\BaseCouponQuery | thelia

# Class BaseCouponQuery

Base class that represents a query for the 'coupon' table.

  ModelCriteria
  Thelia\Model\om\BaseCouponQuery

#### Direct known subclasses

Thelia\Model\CouponQuery
Abstract
Namespace: Thelia\Model\om
Package: propel\generator\Thelia\Model\om
Located at core/lib/Thelia/Model/om/BaseCouponQuery.php

Methods summary

`public`

# `__construct( string $dbName = 'thelia', string $modelName = 'Thelia\\Model\\Coupon', string $modelAlias = null )`

Initializes internal state of BaseCouponQuery object.

Initializes internal state of BaseCouponQuery object.

#### Parameters

$dbName
  `string`
  $dbName The dabase name
$modelName
  `string`
  $modelName The phpName of a model, e.g. 'Book'
$modelAlias
  `string`
  $modelAlias The alias for the model in this query, e.g. 'b'

`public static `Thelia\Model\CouponQuery``

# `create( string $modelAlias = null, `Thelia\Model\CouponQuery`|Criteria $criteria = null )`

Returns a new CouponQuery object.

Returns a new CouponQuery object.

#### Parameters

$modelAlias
  `string`
  $modelAlias The alias of a model in the query
$criteria
  ``Thelia\Model\CouponQuery`|Criteria`
  $criteria Optional Criteria to build the query from

#### Returns

``Thelia\Model\CouponQuery``

`public `Thelia\Model\Coupon`|`Thelia\Model\Coupon[]`|mixed`

# `findPk( mixed $key, PropelPDO $con = null )`

Find object by primary key. Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

Find object by primary key. Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

    $obj  = $c->findPk(12, $con);

#### Parameters

$key
  `mixed`
  $key Primary key to use for the query
$con
  `PropelPDO`
  $con an optional connection object

#### Returns

``Thelia\Model\Coupon`|`Thelia\Model\Coupon[]`|mixed`
the result, formatted by the current formatter

`protected `Thelia\Model\Coupon``

# `findPkSimple( mixed $key, PropelPDO $con )`

Find object by primary key using raw SQL to go fast. Bypass doSelect() and the object formatter by using generated code.

Find object by primary key using raw SQL to go fast. Bypass doSelect() and the object formatter by using generated code.

#### Parameters

$key
  `mixed`
  $key Primary key to use for the query
$con
  `PropelPDO`
  $con A connection object

#### Returns

``Thelia\Model\Coupon``
A model object, or null if the key is not found

#### Throws

`PropelException`

`protected `Thelia\Model\Coupon`|`Thelia\Model\Coupon[]`|mixed`

# `findPkComplex( mixed $key, PropelPDO $con )`

Find object by primary key.

Find object by primary key.

#### Parameters

$key
  `mixed`
  $key Primary key to use for the query
$con
  `PropelPDO`
  $con A connection object

#### Returns

``Thelia\Model\Coupon`|`Thelia\Model\Coupon[]`|mixed`
the result, formatted by the current formatter

`public PropelObjectCollection|`Thelia\Model\Coupon[]`|mixed`

# `findPks( array $keys, PropelPDO $con = null )`

Find objects by primary key

    $objs = $c->findPks(array(12, 56, 832), $con);

Find objects by primary key

    $objs = $c->findPks(array(12, 56, 832), $con);

#### Parameters

$keys
  `array`
  $keys Primary keys to use for the query
$con
  `PropelPDO`
  $con an optional connection object

#### Returns

`PropelObjectCollection|`Thelia\Model\Coupon[]`|mixed`
the list of results, formatted by the current formatter

`public `Thelia\Model\CouponQuery``

# `filterByPrimaryKey( mixed $key )`

Filter the query by primary key

Filter the query by primary key

#### Parameters

$key
  `mixed`
  $key Primary key to use for the query

#### Returns

``Thelia\Model\CouponQuery``
The current query, for fluid interface

`public `Thelia\Model\CouponQuery``

# `filterByPrimaryKeys( array $keys )`

Filter the query by a list of primary keys

Filter the query by a list of primary keys

#### Parameters

$keys
  `array`
  $keys The list of primary key to use for the query

#### Returns

``Thelia\Model\CouponQuery``
The current query, for fluid interface

`public `Thelia\Model\CouponQuery``

# `filterById( mixed $id = null, string $comparison = null )`

Filter the query on the id column

Filter the query on the id column

Example usage:

    $query->filterById(1234); // WHERE id = 1234
    $query->filterById(array(12, 34)); // WHERE id IN (12, 34)
    $query->filterById(array('min' => 12)); // WHERE id > 12

#### Parameters

$id
  `mixed`
  $id The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\CouponQuery``
The current query, for fluid interface

`public `Thelia\Model\CouponQuery``

# `filterByCode( string $code = null, string $comparison = null )`

Filter the query on the code column

Filter the query on the code column

Example usage:

    $query->filterByCode('fooValue');   // WHERE code = 'fooValue'
    $query->filterByCode('%fooValue%'); // WHERE code LIKE '%fooValue%'

#### Parameters

$code
  `string`
  $code The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\CouponQuery``
The current query, for fluid interface

`public `Thelia\Model\CouponQuery``

# `filterByAction( string $action = null, string $comparison = null )`

Filter the query on the action column

Filter the query on the action column

Example usage:

    $query->filterByAction('fooValue');   // WHERE action = 'fooValue'
    $query->filterByAction('%fooValue%'); // WHERE action LIKE '%fooValue%'

#### Parameters

$action
  `string`
  $action The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\CouponQuery``
The current query, for fluid interface

`public `Thelia\Model\CouponQuery``

# `filterByValue( mixed $value = null, string $comparison = null )`

Filter the query on the value column

Filter the query on the value column

Example usage:

    $query->filterByValue(1234); // WHERE value = 1234
    $query->filterByValue(array(12, 34)); // WHERE value IN (12, 34)
    $query->filterByValue(array('min' => 12)); // WHERE value > 12

#### Parameters

$value
  `mixed`
  $value The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\CouponQuery``
The current query, for fluid interface

`public `Thelia\Model\CouponQuery``

# `filterByUsed( mixed $used = null, string $comparison = null )`

Filter the query on the used column

Filter the query on the used column

Example usage:

    $query->filterByUsed(1234); // WHERE used = 1234
    $query->filterByUsed(array(12, 34)); // WHERE used IN (12, 34)
    $query->filterByUsed(array('min' => 12)); // WHERE used > 12

#### Parameters

$used
  `mixed`
  $used The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\CouponQuery``
The current query, for fluid interface

`public `Thelia\Model\CouponQuery``

# `filterByAvailableSince( mixed $availableSince = null, string $comparison = null )`

Filter the query on the available_since column

Filter the query on the available_since column

Example usage:

    $query->filterByAvailableSince('2011-03-14'); // WHERE available_since = '2011-03-14'
    $query->filterByAvailableSince('now'); // WHERE available_since = '2011-03-14'
    $query->filterByAvailableSince(array('max' => 'yesterday')); // WHERE available_since > '2011-03-13'

#### Parameters

$availableSince
  `mixed`
  $availableSince The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\CouponQuery``
The current query, for fluid interface

`public `Thelia\Model\CouponQuery``

# `filterByDateLimit( mixed $dateLimit = null, string $comparison = null )`

Filter the query on the date_limit column

Filter the query on the date_limit column

Example usage:

    $query->filterByDateLimit('2011-03-14'); // WHERE date_limit = '2011-03-14'
    $query->filterByDateLimit('now'); // WHERE date_limit = '2011-03-14'
    $query->filterByDateLimit(array('max' => 'yesterday')); // WHERE date_limit > '2011-03-13'

#### Parameters

$dateLimit
  `mixed`
  $dateLimit The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\CouponQuery``
The current query, for fluid interface

`public `Thelia\Model\CouponQuery``

# `filterByActivate( mixed $activate = null, string $comparison = null )`

Filter the query on the activate column

Filter the query on the activate column

Example usage:

    $query->filterByActivate(1234); // WHERE activate = 1234
    $query->filterByActivate(array(12, 34)); // WHERE activate IN (12, 34)
    $query->filterByActivate(array('min' => 12)); // WHERE activate > 12

#### Parameters

$activate
  `mixed`
  $activate The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\CouponQuery``
The current query, for fluid interface

`public `Thelia\Model\CouponQuery``

# `filterByCreatedAt( mixed $createdAt = null, string $comparison = null )`

Filter the query on the created_at column

Filter the query on the created_at column

Example usage:

    $query->filterByCreatedAt('2011-03-14'); // WHERE created_at = '2011-03-14'
    $query->filterByCreatedAt('now'); // WHERE created_at = '2011-03-14'
    $query->filterByCreatedAt(array('max' => 'yesterday')); // WHERE created_at > '2011-03-13'

#### Parameters

$createdAt
  `mixed`
  $createdAt The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\CouponQuery``
The current query, for fluid interface

`public `Thelia\Model\CouponQuery``

# `filterByUpdatedAt( mixed $updatedAt = null, string $comparison = null )`

Filter the query on the updated_at column

Filter the query on the updated_at column

Example usage:

    $query->filterByUpdatedAt('2011-03-14'); // WHERE updated_at = '2011-03-14'
    $query->filterByUpdatedAt('now'); // WHERE updated_at = '2011-03-14'
    $query->filterByUpdatedAt(array('max' => 'yesterday')); // WHERE updated_at > '2011-03-13'

#### Parameters

$updatedAt
  `mixed`
  $updatedAt The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\CouponQuery``
The current query, for fluid interface

`public `Thelia\Model\CouponQuery``

# `filterByCouponRule( `Thelia\Model\CouponRule`|PropelObjectCollection $couponRule, string $comparison = null )`

Filter the query by a related CouponRule object

Filter the query by a related CouponRule object

#### Parameters

$couponRule
  ``Thelia\Model\CouponRule`|PropelObjectCollection`
  $couponRule the related object to use as filter
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\CouponQuery``
The current query, for fluid interface

#### Throws

`PropelException`
- if the provided filter is invalid.

`public `Thelia\Model\CouponQuery``

# `joinCouponRule( string $relationAlias = null, string $joinType = Thelia\Model\om\Criteria::INNER_JOIN )`

Adds a JOIN clause to the query using the CouponRule relation

Adds a JOIN clause to the query using the CouponRule relation

#### Parameters

$relationAlias
  `string`
  $relationAlias optional alias for the relation
$joinType
  `string`
  $joinType Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

``Thelia\Model\CouponQuery``
The current query, for fluid interface

`public `Thelia\Model\CouponRuleQuery``

# `useCouponRuleQuery( string $relationAlias = null, string $joinType = Thelia\Model\om\Criteria::INNER_JOIN )`

Use the CouponRule relation CouponRule object

Use the CouponRule relation CouponRule object

#### Parameters

$relationAlias
  `string`
  $relationAlias optional alias for the relation, to be used as main alias in the secondary query
$joinType
  `string`
  $joinType Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

``Thelia\Model\CouponRuleQuery``
A secondary query class using the current class as primary query

#### See

useQuery()

`public `Thelia\Model\CouponQuery``

# `prune( `Thelia\Model\Coupon` $coupon = null )`

Exclude object from result

Exclude object from result

#### Parameters

$coupon
  ``Thelia\Model\Coupon``
  $coupon Object to remove from the list of results

#### Returns

``Thelia\Model\CouponQuery``
The current query, for fluid interface

`public `Thelia\Model\CouponQuery``

# `recentlyUpdated( integer $nbDays = 7 )`

Filter by the latest updated

Filter by the latest updated

#### Parameters

$nbDays
  `integer`
  $nbDays Maximum age of the latest update in days

#### Returns

``Thelia\Model\CouponQuery``
The current query, for fluid interface

`public `Thelia\Model\CouponQuery``

# `lastUpdatedFirst( )`

Order by update date desc

Order by update date desc

#### Returns

``Thelia\Model\CouponQuery``
The current query, for fluid interface

`public `Thelia\Model\CouponQuery``

# `firstUpdatedFirst( )`

Order by update date asc

Order by update date asc

#### Returns

``Thelia\Model\CouponQuery``
The current query, for fluid interface

`public `Thelia\Model\CouponQuery``

# `recentlyCreated( integer $nbDays = 7 )`

Filter by the latest created

Filter by the latest created

#### Parameters

$nbDays
  `integer`
  $nbDays Maximum age of in days

#### Returns

``Thelia\Model\CouponQuery``
The current query, for fluid interface

`public `Thelia\Model\CouponQuery``

# `lastCreatedFirst( )`

Order by create date desc

Order by create date desc

#### Returns

``Thelia\Model\CouponQuery``
The current query, for fluid interface

`public `Thelia\Model\CouponQuery``

# `firstCreatedFirst( )`

Order by create date asc

Order by create date asc

#### Returns

``Thelia\Model\CouponQuery``
The current query, for fluid interface

Magic methods summary

`public `Thelia\Model\CouponQuery``

# `orderById( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the id column

Order by the id column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\CouponQuery``

`public `Thelia\Model\CouponQuery``

# `orderByCode( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the code column

Order by the code column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\CouponQuery``

`public `Thelia\Model\CouponQuery``

# `orderByAction( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the action column

Order by the action column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\CouponQuery``

`public `Thelia\Model\CouponQuery``

# `orderByValue( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the value column

Order by the value column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\CouponQuery``

`public `Thelia\Model\CouponQuery``

# `orderByUsed( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the used column

Order by the used column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\CouponQuery``

`public `Thelia\Model\CouponQuery``

# `orderByAvailableSince( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the available_since column

Order by the available_since column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\CouponQuery``

`public `Thelia\Model\CouponQuery``

# `orderByDateLimit( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the date_limit column

Order by the date_limit column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\CouponQuery``

`public `Thelia\Model\CouponQuery``

# `orderByActivate( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the activate column

Order by the activate column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\CouponQuery``

`public `Thelia\Model\CouponQuery``

# `orderByCreatedAt( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the created_at column

Order by the created_at column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\CouponQuery``

`public `Thelia\Model\CouponQuery``

# `orderByUpdatedAt( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the updated_at column

Order by the updated_at column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\CouponQuery``

`public `Thelia\Model\CouponQuery``

# `groupById( )`

Group by the id column

Group by the id column

#### Returns

``Thelia\Model\CouponQuery``

`public `Thelia\Model\CouponQuery``

# `groupByCode( )`

Group by the code column

Group by the code column

#### Returns

``Thelia\Model\CouponQuery``

`public `Thelia\Model\CouponQuery``

# `groupByAction( )`

Group by the action column

Group by the action column

#### Returns

``Thelia\Model\CouponQuery``

`public `Thelia\Model\CouponQuery``

# `groupByValue( )`

Group by the value column

Group by the value column

#### Returns

``Thelia\Model\CouponQuery``

`public `Thelia\Model\CouponQuery``

# `groupByUsed( )`

Group by the used column

Group by the used column

#### Returns

``Thelia\Model\CouponQuery``

`public `Thelia\Model\CouponQuery``

# `groupByAvailableSince( )`

Group by the available_since column

Group by the available_since column

#### Returns

``Thelia\Model\CouponQuery``

`public `Thelia\Model\CouponQuery``

# `groupByDateLimit( )`

Group by the date_limit column

Group by the date_limit column

#### Returns

``Thelia\Model\CouponQuery``

`public `Thelia\Model\CouponQuery``

# `groupByActivate( )`

Group by the activate column

Group by the activate column

#### Returns

``Thelia\Model\CouponQuery``

`public `Thelia\Model\CouponQuery``

# `groupByCreatedAt( )`

Group by the created_at column

Group by the created_at column

#### Returns

``Thelia\Model\CouponQuery``

`public `Thelia\Model\CouponQuery``

# `groupByUpdatedAt( )`

Group by the updated_at column

Group by the updated_at column

#### Returns

``Thelia\Model\CouponQuery``

`public `Thelia\Model\CouponQuery``

# `leftJoin( mixed $relation = )`

Adds a LEFT JOIN clause to the query

Adds a LEFT JOIN clause to the query

#### Parameters

$relation
  `mixed`
  $relation

#### Returns

``Thelia\Model\CouponQuery``

`public `Thelia\Model\CouponQuery``

# `rightJoin( mixed $relation = )`

Adds a RIGHT JOIN clause to the query

Adds a RIGHT JOIN clause to the query

#### Parameters

$relation
  `mixed`
  $relation

#### Returns

``Thelia\Model\CouponQuery``

`public `Thelia\Model\CouponQuery``

# `innerJoin( mixed $relation = )`

Adds a INNER JOIN clause to the query

Adds a INNER JOIN clause to the query

#### Parameters

$relation
  `mixed`
  $relation

#### Returns

``Thelia\Model\CouponQuery``

`public `Thelia\Model\CouponQuery``

# `leftJoinCouponRule( mixed $relationAlias = null )`

Adds a LEFT JOIN clause to the query using the CouponRule relation

Adds a LEFT JOIN clause to the query using the CouponRule relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\CouponQuery``

`public `Thelia\Model\CouponQuery``

# `rightJoinCouponRule( mixed $relationAlias = null )`

Adds a RIGHT JOIN clause to the query using the CouponRule relation

Adds a RIGHT JOIN clause to the query using the CouponRule relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\CouponQuery``

`public `Thelia\Model\CouponQuery``

# `innerJoinCouponRule( mixed $relationAlias = null )`

Adds a INNER JOIN clause to the query using the CouponRule relation

Adds a INNER JOIN clause to the query using the CouponRule relation

#### Parameters

$relationAlias
  `mixed`
  $relationAlias

#### Returns

``Thelia\Model\CouponQuery``

`public `Thelia\Model\Coupon``

# `findOne( PropelPDO $con = null )`

Return the first Coupon matching the query

Return the first Coupon matching the query

#### Parameters

$con
  `PropelPDO`
  $con

#### Returns

``Thelia\Model\Coupon``

`public `Thelia\Model\Coupon``

# `findOneOrCreate( PropelPDO $con = null )`

Return the first Coupon matching the query, or a new Coupon object populated from the query conditions when no match is found

Return the first Coupon matching the query, or a new Coupon object populated from the query conditions when no match is found

#### Parameters

$con
  `PropelPDO`
  $con

#### Returns

``Thelia\Model\Coupon``

`public `Thelia\Model\Coupon``

# `findOneById( integer $id = )`

Return the first Coupon filtered by the id column

Return the first Coupon filtered by the id column

#### Parameters

$id
  `integer`
  $id

#### Returns

``Thelia\Model\Coupon``

`public `Thelia\Model\Coupon``

# `findOneByCode( string $code = )`

Return the first Coupon filtered by the code column

Return the first Coupon filtered by the code column

#### Parameters

$code
  `string`
  $code

#### Returns

``Thelia\Model\Coupon``

`public `Thelia\Model\Coupon``

# `findOneByAction( string $action = )`

Return the first Coupon filtered by the action column

Return the first Coupon filtered by the action column

#### Parameters

$action
  `string`
  $action

#### Returns

``Thelia\Model\Coupon``

`public `Thelia\Model\Coupon``

# `findOneByValue( float $value = )`

Return the first Coupon filtered by the value column

Return the first Coupon filtered by the value column

#### Parameters

$value
  `float`
  $value

#### Returns

``Thelia\Model\Coupon``

`public `Thelia\Model\Coupon``

# `findOneByUsed( integer $used = )`

Return the first Coupon filtered by the used column

Return the first Coupon filtered by the used column

#### Parameters

$used
  `integer`
  $used

#### Returns

``Thelia\Model\Coupon``

`public `Thelia\Model\Coupon``

# `findOneByAvailableSince( string $available_since = )`

Return the first Coupon filtered by the available_since column

Return the first Coupon filtered by the available_since column

#### Parameters

$available_since
  `string`
  $available_since

#### Returns

``Thelia\Model\Coupon``

`public `Thelia\Model\Coupon``

# `findOneByDateLimit( string $date_limit = )`

Return the first Coupon filtered by the date_limit column

Return the first Coupon filtered by the date_limit column

#### Parameters

$date_limit
  `string`
  $date_limit

#### Returns

``Thelia\Model\Coupon``

`public `Thelia\Model\Coupon``

# `findOneByActivate( integer $activate = )`

Return the first Coupon filtered by the activate column

Return the first Coupon filtered by the activate column

#### Parameters

$activate
  `integer`
  $activate

#### Returns

``Thelia\Model\Coupon``

`public `Thelia\Model\Coupon``

# `findOneByCreatedAt( string $created_at = )`

Return the first Coupon filtered by the created_at column

Return the first Coupon filtered by the created_at column

#### Parameters

$created_at
  `string`
  $created_at

#### Returns

``Thelia\Model\Coupon``

`public `Thelia\Model\Coupon``

# `findOneByUpdatedAt( string $updated_at = )`

Return the first Coupon filtered by the updated_at column

Return the first Coupon filtered by the updated_at column

#### Parameters

$updated_at
  `string`
  $updated_at

#### Returns

``Thelia\Model\Coupon``

`public array`

# `findById( integer $id = )`

Return Coupon objects filtered by the id column

Return Coupon objects filtered by the id column

#### Parameters

$id
  `integer`
  $id

#### Returns

`array`

`public array`

# `findByCode( string $code = )`

Return Coupon objects filtered by the code column

Return Coupon objects filtered by the code column

#### Parameters

$code
  `string`
  $code

#### Returns

`array`

`public array`

# `findByAction( string $action = )`

Return Coupon objects filtered by the action column

Return Coupon objects filtered by the action column

#### Parameters

$action
  `string`
  $action

#### Returns

`array`

`public array`

# `findByValue( float $value = )`

Return Coupon objects filtered by the value column

Return Coupon objects filtered by the value column

#### Parameters

$value
  `float`
  $value

#### Returns

`array`

`public array`

# `findByUsed( integer $used = )`

Return Coupon objects filtered by the used column

Return Coupon objects filtered by the used column

#### Parameters

$used
  `integer`
  $used

#### Returns

`array`

`public array`

# `findByAvailableSince( string $available_since = )`

Return Coupon objects filtered by the available_since column

Return Coupon objects filtered by the available_since column

#### Parameters

$available_since
  `string`
  $available_since

#### Returns

`array`

`public array`

# `findByDateLimit( string $date_limit = )`

Return Coupon objects filtered by the date_limit column

Return Coupon objects filtered by the date_limit column

#### Parameters

$date_limit
  `string`
  $date_limit

#### Returns

`array`

`public array`

# `findByActivate( integer $activate = )`

Return Coupon objects filtered by the activate column

Return Coupon objects filtered by the activate column

#### Parameters

$activate
  `integer`
  $activate

#### Returns

`array`

`public array`

# `findByCreatedAt( string $created_at = )`

Return Coupon objects filtered by the created_at column

Return Coupon objects filtered by the created_at column

#### Parameters

$created_at
  `string`
  $created_at

#### Returns

`array`

`public array`

# `findByUpdatedAt( string $updated_at = )`

Return Coupon objects filtered by the updated_at column

Return Coupon objects filtered by the updated_at column

#### Parameters

$updated_at
  `string`
  $updated_at

#### Returns

`array`